From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/
Date: Wed, 25 Nov 2020 08:37:09 +0000 (UTC) [thread overview]
Message-ID: <1606293423.6ce8023f5b98ec5c8058482598279dad5ac1d155.mgorny@gentoo> (raw)
commit: 6ce8023f5b98ec5c8058482598279dad5ac1d155
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 25 08:13:30 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 08:37:03 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ce8023f
dev-python/cheroot: Bump to 8.4.8
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cheroot/Manifest | 1 +
dev-python/cheroot/cheroot-8.4.8.ebuild | 54 +++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index dd7113cef16..8761362d458 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1,2 +1,3 @@
DIST cheroot-8.4.4.tar.gz 107753 BLAKE2B 4e5d9c3a101876d76696a2e6e3c191f199810e734e25cdc07aac69c102eb28b90033c6fa749569e140c01dbd08a4b06f067b4f47d34ef483d48731c6372ee5eb SHA512 18e2c198a537abd740a868fc4055c1e1e0501392c5518ec345669d02511dac2d59aa2abe2670ffb1800c5aae7032b11445488ecf7fd63d02d5923ed08b82f216
DIST cheroot-8.4.5.tar.gz 109443 BLAKE2B f8dd7a053304c6be559862028ef306c742c015e98c236f3e154f863c3abbf7d261f85b9a7e880ba9f51e6a8bf25cdf96ed6f45f7758657ecbdc4d6b7dde7f6a9 SHA512 2e8c84a67e24772dfeea7fbb397807e6553912d32392c393ec85181ccb381b1f4d3e38cc2366710a5c789869cbc6d15a79bd1b20b6d3845e5c08496b4f4b0e9e
+DIST cheroot-8.4.8.tar.gz 111377 BLAKE2B be020dd45fef980e7e7b10e19f1ff2bf076ddd30578a31371afd7b9c85a644d0fb4c4836401f17be8df3307071f3337359f611f9cb6d28b17fb5b7723d6b6f7d SHA512 fa0362d29adbcf0b06038d209e33d722ff2f0766d8f2dd46c8ca217195ef5b30bb51400a9615f11cc136683b146ab2c21c3f1974cb4e7ad55488762e31da40f5
diff --git a/dev-python/cheroot/cheroot-8.4.8.ebuild b/dev-python/cheroot/cheroot-8.4.8.ebuild
new file mode 100644
index 00000000000..467ee0e31e3
--- /dev/null
+++ b/dev-python/cheroot/cheroot-8.4.8.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Cheroot is the high-performance, pure-Python HTTP server used by CherryPy."
+HOMEPAGE="https://cherrypy.org/ https://pypi.org/project/Cheroot/ https://github.com/cherrypy/cheroot"
+SRC_URI="mirror://pypi/C/${PN/c/C}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
+ sed -e '/setuptools_scm/d' -i setup.cfg || die
+ sed -e '/--cov/d' \
+ -e '/--testmon/d' \
+ -e '/--numproc/d' \
+ -i pytest.ini || die
+
+ # broken
+ sed -e '/False.*localhost/d' \
+ -i cheroot/test/test_ssl.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-11-25 8:37 UTC|newest]
Thread overview: 91+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-25 8:37 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-25 12:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/cheroot/ Arthur Zamarin
2024-07-11 20:55 James Le Cuirot
2024-06-15 13:47 Michał Górny
2024-05-08 8:15 Michał Górny
2024-04-23 5:38 Michał Górny
2023-07-25 0:10 Ionen Wolkens
2023-06-27 11:50 Michał Górny
2023-05-21 4:59 Michał Górny
2023-03-16 3:47 Michał Górny
2023-01-03 2:53 WANG Xuerui
2022-11-18 15:14 Arthur Zamarin
2022-10-22 14:54 Michał Górny
2022-10-13 4:54 Michał Górny
2022-09-10 18:28 Arthur Zamarin
2022-09-08 5:19 Sam James
2022-06-22 7:42 Michał Górny
2022-06-22 5:47 Agostino Sarubbo
2022-05-22 10:46 Michał Górny
2022-05-22 9:25 Michał Górny
2022-05-22 9:25 Michał Górny
2022-04-24 23:12 Zac Medico
2022-03-15 11:18 Michał Górny
2022-03-15 11:08 Jakov Smolić
2022-01-31 10:43 Michał Górny
2021-11-28 14:42 Michał Górny
2021-11-27 10:27 Michał Górny
2021-09-02 17:06 Marek Szuba
2021-07-04 8:28 Michał Górny
2021-02-19 8:35 Michał Górny
2021-02-19 2:54 Sam James
2021-01-18 19:06 Michał Górny
2021-01-06 11:19 Michał Górny
2021-01-06 10:59 Sam James
2020-12-27 8:58 Michał Górny
2020-12-27 4:09 Sam James
2020-12-16 19:33 Michał Górny
2020-12-16 18:04 Sam James
2020-12-06 9:14 Michał Górny
2020-12-06 9:14 Michał Górny
2020-11-15 7:54 Michał Górny
2020-09-18 14:36 Michał Górny
2020-09-18 8:32 Agostino Sarubbo
2020-09-16 7:13 Michał Górny
2020-09-13 8:44 Sergei Trofimovich
2020-09-09 0:58 Sam James
2020-09-08 22:58 Sam James
2020-08-13 10:04 Michał Górny
2020-08-13 10:04 Michał Górny
2020-08-01 15:25 Michał Górny
2020-08-01 8:53 Sergei Trofimovich
2020-07-30 4:32 Sam James
2020-07-28 19:23 Sam James
2020-07-28 2:41 Michał Górny
2020-07-27 13:54 Sam James
2020-07-27 13:54 Sam James
2020-07-27 5:41 Michał Górny
2020-07-23 23:06 Sam James
2020-07-23 22:12 Sam James
2020-07-23 10:00 Michał Górny
2020-07-21 8:23 Sergei Trofimovich
2020-07-20 21:02 Sam James
2020-07-20 21:02 Sam James
2020-07-20 16:39 Michał Górny
2020-07-13 23:13 Sam James
2020-07-06 11:57 Michał Górny
2020-07-05 15:16 Michał Górny
2020-06-29 13:40 Agostino Sarubbo
2020-06-26 20:21 Thomas Deutschmann
2020-06-22 19:05 Mart Raudsepp
2020-06-21 21:20 Michał Górny
2020-06-21 10:16 Michał Górny
2020-06-21 10:16 Michał Górny
2020-06-21 10:16 Michał Górny
2020-06-20 14:20 Thomas Deutschmann
2020-05-16 11:25 Mikle Kolyada
2020-03-26 23:29 Patrick McLean
2020-03-21 1:16 Zac Medico
2020-02-04 15:40 Michał Górny
2019-12-12 2:19 Georgy Yakovlev
2019-10-26 0:07 Zac Medico
2019-10-25 23:22 Zac Medico
2019-05-09 17:46 Zac Medico
2019-04-17 18:07 Aaron Bauman
2019-03-10 17:33 William Hubbs
2018-11-10 19:59 Thomas Deutschmann
2018-11-09 13:47 Alexey Shvetsov
2018-03-07 19:47 Markus Meier
2018-01-24 23:12 Sergei Trofimovich
2018-01-10 19:18 Zac Medico
2018-01-10 1:20 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1606293423.6ce8023f5b98ec5c8058482598279dad5ac1d155.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox